<?php
session_start();
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Поиск пользователей');

///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Поиск пользователей</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Поиск пользователей</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> -<a href="/office"> Кабинет</a> - Поиск мастеров</div>';
if ($b['row'] < 1) {
echo'<div class="row text_box"> Поиск мастеров открыт для пользователей с уровня <font color=green><b>Постоялец</b></font>, для того, чтобы открыть доступ вам необходимо получить новый статус. <a href="/modules/index.html?i=status"> [ Подробнее о статусах ] </a></div>';

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
die();
}
if (empty($_GET[zx]) or !empty($_POST['text'])) {
unset($_SESSION['text']);
unset($_SESSION['sear']);
} else {
$_POST['text']= $_SESSION['text'];
}
if (isset($_GET['search'])) {
$text = str_replace('%','',$_POST['text']);
$text = str_replace("'",'',$_POST['text']);
$text = str_replace('"','',$_POST['text']);
$text = str_replace('-','',$_POST['text']);
$text = check($text);
$_SESSION['text'] = $text;
$text = (!empty($_SESSION['text']) ? $_SESSION['text'] : NULL);
if (isset($_POST['sear'])) $sear = check($_POST['sear']);
if (isset($_SESSION['sear'])) $sear = check($_SESSION['sear']);

$_SESSION['sear'] = $sear;
if ($sear == 'spec') {

if ($text == 'Мастер') {
$var = 0;
} elseif ($text == 'Кодер') {
$var = 1;
} elseif ($text == 'Дизайнер') {
$var = 2;
} elseif ($text == 'Хостер') {
$var = 3;
} elseif ($text == 'Продавец') {
$var = 4;
}
$var = abs((int)$var);
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM blogger WHERE spec LIKE '%$var%'");
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM blogger WHERE spec LIKE '%$var%' ORDER BY id LIMIT $start,$num", [$id]);
if ($sql -> rowCount() == 0) {
err('Пусто!');
} else {
while($a = $sql->fetch()) {
echo '<div class="row text_box">'.Nick($a['id']).'</div>';
}
}
if ($k_page>1) {
str('?zx=1&search&', $k_page, $page);
}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="/search"><i class="md-shuffle"></i> Вернуться назад</a></ul>';

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
die();
} elseif ($sear == 'hist') {
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM nicks WHERE old LIKE '%$text%'");
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM nicks WHERE old LIKE '%$text%' ORDER BY us LIMIT $start,$num", [$id]);
if ($sql -> rowCount() == 0) {
err('Пусто!');
} else {
while($a = $sql->fetch()) {
echo '<div class="row text_box">'.Nick($a['us']).'</div>';
}
}
if ($k_page>1) {
str('?zx=1&search&', $k_page, $page);
}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="/search"><i class="md-shuffle"></i> Вернуться назад</a></ul>';

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
die();
} else {
if ($sear == 'id') {
$var = 'id';
} elseif ($sear == 'nick') {
$var = 'nick';
} elseif ($sear == 'city') {
$var = 'city';
} elseif ($sear == 'icq') {
$var = 'icq';
} elseif ($sear == 'wmid') {
$var = 'wmid';
} elseif ($sear == 'wmr') {
$var = 'wmr';
} elseif ($sear == 'email') {
$var = 'email';
} elseif ($sear == 'country') {
$var = 'country';
} elseif ($sear == 'name') {
$var = 'name';
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM blogger WHERE ".$var." = ?", [$text]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM blogger WHERE ".$var." = ? ORDER BY id LIMIT $start,$num", [$text]);
if ($sql -> rowCount() == 0) {
err('Пусто!');
} else {
while($a = $sql->fetch()) {
echo '<div class="row text_box">'.Nick($a['id']).'</div>';
}
}
if ($k_page>1) {
str('?zx=1&search&', $k_page, $page);
}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="/search"><i class="md-shuffle"></i> Вернуться назад</a></ul>';

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
die();
}
}
echo '<div class="row text_box"><form action="?zx=1&search" method="POST">Критерий:<br/><select class="form-control" name="sear">
<option value="id">ID</option>
<option value="nick">Ник</option>
<option value="hist">История ников</option>
<option value="icq">ICQ</option>
<option value="name">Имя</option>
<option value="city">Город</option>
<option value="country">Страна</option>
<option value="email">E-mail</option>
<option value="wmid">WMID</option>
<option value="wmr">WMR</option>
<option value="spec">Специальность</option>
</select><br/>Запрос:<br/><input type="text" class="form-control" name="text"/><br/><input type="submit" class="btn btn-primary" value="Искать"/></form></div>';


///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();

?>